Subject: Re: bug#8615: Please make sure v q removes the buffer for JPGs just likeit does for other files

From: Juri Linkov <[email-masked]>
Date: Wed, 23 Nov 2011 23:18:35 +0200

> Another distinction that it might help to make here is the kind of buffer and
> its purpose.  I have no problem accumulating buffers, in general, but I have no
> need to accumulate buffers that are essentially temporary and part of a dialog,
> once that dialog is finished.

I have problems with accumulating buffers because I use desktop.el
that remembers all file buffers and tries to restore them after restart.
Other users may have other problems with accumulating buffers.
I solved this problem for myself by adding to .emacs:

(define-key image-mode-map "q" 'quit-window-kill-buffer)
(define-key archive-mode-map "q" 'quit-window-kill-buffer)
(define-key tar-mode-map "q" 'quit-window-kill-buffer)
(define-key dired-mode-map "q" 'quit-window-kill-buffer)

Of course, we should not suggest users doing the same.
So perhaps a defcustom would be the best solution.